{
    "fields": {
        "name": {
            "type": "varchar",
            "required": true,
            "pattern": "$noBadCharacters"
        },
        "description": {
            "type": "text"
        },
        "createdAt": {
            "type": "datetime",
            "readOnly": true
        },
        "modifiedAt": {
            "type": "datetime",
            "readOnly": true
        },
        "createdBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "modifiedBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "assignedUser": {
            "type": "link",
            "required": false,
            "view": "views/fields/assigned-user"
        },
        "teams": {
            "type": "linkMultiple",
            "view": "views/fields/teams"
        },
        "anschrift": {
            "type": "address",
            "isCustom": true,
            "copyToClipboard": true
        },
        "objekttyp": {
            "type": "enum",
            "required": true,
            "options": [
                "GesamtesGrundstück",
                "Wohnhaus",
                "Wohnung",
                "Zimmer",
                "Garage",
                "Keller",
                "Bürogebäude",
                "Büro",
                "Gewerbehalle",
                "Sonstiges"
            ],
            "style": {
                "GesamtesGrundstück": null,
                "Wohnhaus": null,
                "Wohnung": null,
                "Zimmer": null,
                "Garage": null,
                "Keller": null,
                "Bürogebäude": null,
                "Büro": null,
                "Gewerbehalle": null,
                "Sonstiges": null
            },
            "default": "Wohnung",
            "audited": true,
            "maxLength": 100,
            "isCustom": true
        },
        "lage": {
            "type": "varchar",
            "required": false,
            "maxLength": 255,
            "copyToClipboard": true,
            "options": [
                "EG links",
                "EG rechts",
                "EG mitte",
                "1. OG links",
                "1. OG mitte",
                "1. OG rechts",
                "2. OG links",
                "2. OG mitte",
                "2. OG rechts"
            ],
            "tooltip": true,
            "isCustom": true
        }
    },
    "links": {
        "createdBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "modifiedBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "assignedUser": {
            "type": "belongsTo",
            "entity": "User"
        },
        "teams": {
            "type": "hasMany",
            "entity": "Team",
            "relationName": "entityTeam",
            "layoutRelationshipsDisabled": true
        },
        "vmhMietverhltnises": {
            "type": "hasMany",
            "foreign": "vmhMietobjekt",
            "entity": "CVmhMietverhltnis",
            "audited": false,
            "isCustom": true
        },
        "contactsMietobjekt": {
            "type": "hasMany",
            "relationName": "cMietobjektContactPortal",
            "foreign": "cMietobjekteContactPortal",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        },
        "dokumentesMietobjekt": {
            "type": "hasMany",
            "relationName": "cMietobjektDokumente",
            "foreign": "mietobjekt2dokumente",
            "entity": "CDokumente",
            "audited": false,
            "isCustom": true
        }
    },
    "collection": {
        "orderBy": "createdAt",
        "order": "desc"
    },
    "indexes": {
        "name": {
            "columns": [
                "name",
                "deleted"
            ]
        },
        "assignedUser": {
            "columns": [
                "assignedUserId",
                "deleted"
            ]
        },
        "createdAt": {
            "columns": [
                "createdAt"
            ]
        },
        "createdAtId": {
            "unique": true,
            "columns": [
                "createdAt",
                "id"
            ]
        },
        "objekttyp": {
            "columns": [
                "objekttyp",
                "deleted"
            ]
        },
        "lage": {
            "columns": [
                "lage",
                "deleted"
            ]
        }
    }
}